PETSc version 3.15.5
Fix/Edit manual page

# MatNullSpaceRemove

Removes all the components of a null space from a vector.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatNullSpaceRemove(MatNullSpace sp,Vec vec)

Collective on MatNullSpace

### Input Parameters

| sp | - the null space context (if this is NULL then no null space is removed)
| vec | - the vector from which the null space is to be removed

### See Also

MatNullSpaceCreate(), MatNullSpaceDestroy(), MatNullSpaceSetFunction()

### Level

advanced

### Location

src/mat/interface/matnull.c

### Examples

src/ksp/ksp/tutorials/ex29.c.html
src/ksp/ksp/tutorials/ex32.c.html
src/ksp/ksp/tutorials/ex34.c.html
src/ksp/ksp/tutorials/ex50.c.html
src/ksp/ksp/tutorials/ex66.c.html
src/ksp/ksp/tutorials/ex71.c.html
src/ksp/ksp/tutorials/ex73.c.html
src/snes/tutorials/ex12.c.html
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages